FROM python:3.9-slim

# Install system dependencies for soundfile/librosa
RUN apt-get update && apt-get install -y --no-install-recommends libsndfile1 && rm -rf /var/lib/apt/lists/*

WORKDIR /app
COPY app/requirements.txt .
RUN pip install --no-cache-dir -r requirements.txt -f https://download.pytorch.org/whl/cpu/torch_stable.html
COPY app/ .
CMD ["python", "duplicate_finder.py"]
